## vkeybd-0.1.17a.tar.bz2

=== Makefile ===
#
# Makefile for vkeybd
# copyright (c) 1997-2000 by Takashi Iwai
#

VERSION = 0.1.16

#
# installation directory
#
PREFIX = /usr
# binary and Tcl script are put there
BIN_DIR = $(PREFIX)/bin
# man page
MAN_SUFFIX = 1
MAN_DIR = $(PREFIX)/share/man

# data directory (/usr/share)
DATA_DIR = $(PREFIX)/share

#
# preset and keyboard file are put here
#
VKBLIB_DIR = $(DATA_DIR)/vkeybd

#
# device selections -- multiple avaialble
# to disable the device, set value 0 (do not comment out!)
#
USE_AWE = 1
USE_MIDI = 1
USE_ALSA = 1
USE_LADCCA = 0

#
# Tcl/Tk library -- depends on your distribution
#
TCL_VERSION = 8.4
TCLLIB = -ltcl$(TCL_VERSION)
TCLINC = -I/usr/include/tcl8.4
TKLIB = -ltk$(TCL_VERSION)
TKINC =
XLIB = -L/usr/X11R6/lib -lX11
XINC = -I/usr/X11R6/include
EXTRALIB += -ldl

#----------------------------------------------------------------
# device definitions
#----------------------------------------------------------------

# AWE device
ifeq (1,$(USE_AWE))
DEVICES += -DVKB_USE_AWE
DEVOBJS += oper_awe.o
endif

# MIDI device
ifeq (1,$(USE_MIDI))
DEVICES += -DVKB_USE_MIDI
DEVOBJS += oper_midi.o
endif

# ALSA sequencer
ifeq (1,$(USE_ALSA))
DEVICES += -DVKB_USE_ALSA
DEVOBJS += oper_alsa.o
EXTRALIB += -lasound
endif

#
# LADCCA stuff
#
ifeq (1,$(USE_LADCCA))
LADCCACFLAGS = $(shell pkg-config --cflags ladcca-1.0) \
	       $(shell pkg-config --exists ladcca-1.0 && echo "-DHAVE_LADCCA" )
LADCCALIBS   = $(shell pkg-config --libs ladcca-1.0)
DEVICES += $(LADCCACFLAGS)
EXTRALIB += $(LADCCALIBS)
endif

#----------------------------------------------------------------
# dependencies
#----------------------------------------------------------------

VKB_TCLFILE = $(VKBLIB_DIR)/vkeybd.tcl

CFLAGS = -Wall -O -DVKB_TCLFILE=\"$(VKB_TCLFILE)\" \
	-DVKBLIB_DIR=\"$(VKBLIB_DIR)\"\
	-DVERSION_STR=\"$(VERSION)\"\
	$(DEVICES) $(XINC) $(TCLINC) $(TKINC) $(LADCCACFLAGS)

TARGETS = vkeybd sftovkb

all: $(TARGETS)

vkeybd: vkb.o vkb_device.o $(DEVOBJS) $(EXTRAOBJS)
	$(CC) -o $@ $^ $(TKLIB) $(TCLLIB) $(XLIB) $(EXTRALIB) -lm

sftovkb: sftovkb.o sffile.o malloc.o fskip.o
	$(CC) -o $@ $^ -lm

install: $(TARGETS) vkeybd.tcl vkeybd.list vkeybdmap*
	mkdir -p $(DESTDIR)$(BIN_DIR)
	install -c -m 755 vkeybd $(DESTDIR)$(BIN_DIR)
	install -c -m 755 sftovkb $(DESTDIR)$(BIN_DIR)
	rm -f $(DESTDIR)$(BIN_DIR)/vkeybd.tcl
	mkdir -p $(DESTDIR)$(VKBLIB_DIR)
	install -c -m 444 vkeybd.tcl $(DESTDIR)$(VKBLIB_DIR)
	install -c -m 444 vkeybd.list $(DESTDIR)$(VKBLIB_DIR)
	install -c -m 444 vkeybdmap* $(DESTDIR)$(VKBLIB_DIR)

install-man:
	mkdir -p $(DESTDIR)$(MAN_DIR)/man$(MAN_SUFFIX)
	install -c -m 444 vkeybd.man $(DESTDIR)$(MAN_DIR)/man$(MAN_SUFFIX)/vkeybd.$(MAN_SUFFIX)

install-desktop:
	mkdir -p $(DESTDIR)$(DATA_DIR)/applications
	install -c -m 644 vkeybd.desktop $(DESTDIR)$(DATA_DIR)/applications
	mkdir -p $(DESTDIR)$(DATA_DIR)/pixmaps
	install -c -m 644 pixmaps/*.png $(DESTDIR)$(DATA_DIR)/pixmaps

install-all: install install-man install-desktop

clean:
	rm -f *.o $(TARGETS)

=== debian/changelog ===
vkeybd (1:0.1.17a-1) unstable; urgency=low

  * New upstream release
  * Set Maintainer to debian-multimedia
  * Added myself to Uploaders
  * Fixed watch file

 -- Free Ekanayaka <freee@debian.org>  Tue, 27 Mar 2007 11:11:17 +0200

vkeybd (1:0.1.17-3) unstable; urgency=low

  * Removed unnecessary build-depends on xlibs-dev (Closes: #346976)
  * Added compat file and removed DH_COMPAT from debian/rules

 -- Free Ekanayaka <free@agnula.org>  Tue, 17 Jan 2006 07:35:17 +0100

vkeybd (1:0.1.17-2) unstable; urgency=low

  * Better description (closes: #310506), thanks to
    browaeys.alban@wanadoo.fr
  * Added desktop file

 -- Free Ekanayaka <free@agnula.org>  Wed, 14 Sep 2005 10:13:50 +0100

vkeybd (1:0.1.17-1) unstable; urgency=low

  * Initial upload (closes: #193256)
    [ Note: this package belongs to source package awe in woody and it has
      been remove from sid in 2002. Beside vkeybd the awe source package in woody
      provides also packages holding kernel drivers for Sound Blaster AWE32. After
      these drivers have been included in the Linux kernel the upstream splitted
      the code and changed the versioning of vkeybd, thus I'm using epoch ]
  * Upload sposored by Marco Presi
  * Menu icon (closes: #299396)

 -- Free Ekanayaka <free@agnula.org>  Fri,  6 May 2005 10:50:48 +0200

=== debian/control ===
Source: vkeybd
Section: sound
Priority: optional
Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Build-Depends: dpatch, docbook-to-man, debhelper (>> 4.0.0), tcl8.4-dev, tk8.4-dev, libasound2-dev
Standards-Version: 3.7.2

Package: vkeybd
Architecture: any
Depends: ${shlibs:Depends}
Description: Virtual MIDI Keyboard
 This program allows you to use the Linux AWE32 driver, OSS MIDI sequencer,
 or ALSA MIDI sequencer and provides "virtual" keyboard (the musical type),
 which can be "played" using the keyboard or mouse under X11.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: patch-stamp configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	/usr/bin/docbook-to-man debian/vkeybd.sgml > vkeybd.1
	/usr/bin/docbook-to-man debian/sftovkb.sgml > sftovkb.1

	touch build-stamp

clean:	unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/vkeybd.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/vkeybd
	install -m 755 vkeybd  $(CURDIR)/debian/vkeybd/usr/bin
	install -m 755 sftovkb $(CURDIR)/debian/vkeybd/usr/bin
	#$(MAKE) install-man DESTDIR=$(CURDIR)/debian/vkeybd
	install -m 644 $(CURDIR)/vkeybd.xpm $(CURDIR)/debian/vkeybd/usr/share/pixmaps/vkeybd.xpm

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=2

# Pattern					Version
http://www.alsa-project.org/~iwai/alsa.html	vkeybd-(.*)\.tar\.bz2 debian	uupdate
